NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ToolingBoxBuilder Class Reference

Represents a NXOpen::Features::ToolingBox builder
To create a new instance of this class, use NXOpen::Features::ToolingFeatureCollection::CreateToolingBoxBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::ToolingBoxBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  RefCsysType { RefCsysTypeWcs, RefCsysTypeAbsoluteinDisplayedPart, RefCsysTypeSelectedCsys }
 the type of reference csys for box feature More...
 
enum  Types { TypesCenterAndLengths, TypesBoundedBlock, TypesBoundedCylinder }
 the type for box feature More...
 

Public Member Functions

NXOpen::PointAxisPoint ()
 Returns the point on the axis of the bounded cylinder
Created in NX12.0.0. More...
 
NXOpen::DirectionAxisVector ()
 Returns the cylinder axis vector to create the bounded cylinder
Created in NX10.0.0. More...
 
NXOpen::ScCollectorBoundedObject ()
 Returns the objects used for bounded box creation. More...
 
NXOpen::NXColorBoxColor ()
 Returns the box color. More...
 
NXOpen::Point3d BoxPosition ()
 Returns the position of csys for box. More...
 
void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
NXOpen::ExpressionClearance ()
 Returns the clearance value for box in six directions. More...
 
bool CsysAssociative ()
 Returns the csys associative
Created in NX10.0.0. More...
 
NXOpen::SelectCoordinateSystemCsysSelection ()
 Returns the selected reference csys
Created in NX10.0.0. More...
 
NXOpen::SelectNXObjectListFacetBodies ()
 Returns the selected facet bodies. More...
 
bool NonAlignedMinimumBox ()
 Returns the value that indicates whether to create non-aligned minimum bounding body or not. More...
 
NXOpen::ExpressionOffsetNegativeX ()
 Returns the offset value for box in -X direction. More...
 
NXOpen::ExpressionOffsetNegativeY ()
 Returns the offset value for box in -Y direction. More...
 
NXOpen::ExpressionOffsetNegativeZ ()
 Returns the offset value for box in -Z direction. More...
 
NXOpen::ExpressionOffsetPositiveX ()
 Returns the offset value for box in +X direction. More...
 
NXOpen::ExpressionOffsetPositiveY ()
 Returns the offset value for box in +Y direction. More...
 
NXOpen::ExpressionOffsetPositiveZ ()
 Returns the offset value for box in +Z direction. More...
 
double PositionPrecisionValue ()
 Returns the precision value for the center point of bounded box
Created in NX10.0.0. More...
 
double PrecisionValue ()
 Returns the precision value for the size of bounded box
Created in NX10.0.0. More...
 
NXOpen::ExpressionRadialOffset ()
 Returns the radial offset value for cylinder box
Created in NX10.0.0. More...
 
NXOpen::Features::ToolingBoxBuilder::RefCsysType ReferenceCsysType ()
 Returns the reference csys type
Created in NX10.0.0. More...
 
void SetAxisPoint (NXOpen::Point *axisPoint)
 Sets the point on the axis of the bounded cylinder
Created in NX12.0.0. More...
 
void SetAxisVector (NXOpen::Direction *cylinderVector)
 Sets the cylinder axis vector to create the bounded cylinder
Created in NX10.0.0. More...
 
void SetBoxColor (NXOpen::NXColor *colorValue)
 Sets the box color. More...
 
void SetBoxMatrixAndPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Sets box csys matrix. More...
 
void SetBoxPosition (const NXOpen::Point3d &csysOrigin)
 Sets the position of csys for box. More...
 
void SetCsysAssociative (bool csysAssociative)
 Sets the csys associative
Created in NX10.0.0. More...
 
void SetNonAlignedMinimumBox (bool isNonAlignedBox)
 Sets the value that indicates whether to create non-aligned minimum bounding body or not. More...
 
void SetPositionPrecisionValue (double precisionValue)
 Sets the precision value for the center point of bounded box
Created in NX10.0.0. More...
 
void SetPrecisionValue (double precisionValue)
 Sets the precision value for the size of bounded box
Created in NX10.0.0. More...
 
void SetReferenceCsysType (NXOpen::Features::ToolingBoxBuilder::RefCsysType referenceType)
 Sets the reference csys type
Created in NX10.0.0. More...
 
void SetSelectedOccurrences (const std::vector< NXOpen::NXObject * > &selections, const std::vector< NXOpen::NXObject * > &deselections)
 Sets selected object occurrences. More...
 
void SetShowDimension (bool csysAssociative)
 Sets the value indicate whether to show bounded box dimension or not during preview. More...
 
void SetSingleOffset (bool csysAssociative)
 Sets the option to control whether the handles operate individually or not. More...
 
void SetType (NXOpen::Features::ToolingBoxBuilder::Types type)
 Sets the box type. More...
 
bool ShowDimension ()
 Returns the value indicate whether to show bounded box dimension or not during preview. More...
 
bool SingleOffset ()
 Returns the option to control whether the handles operate individually or not. More...
 
NXOpen::Features::ToolingBoxBuilder::Types Type ()
 Returns the box type. More...
 
NXOpen::ExpressionXValue ()
 Returns the edge length in X direction for general box. More...
 
NXOpen::ExpressionYValue ()
 Returns the edge length in Y direction for general box. More...
 
NXOpen::ExpressionZValue ()
 Returns the edge length in Z direction for general box. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ToolingBox builder
To create a new instance of this class, use NXOpen::Features::ToolingFeatureCollection::CreateToolingBoxBuilder
Default values.

Property Value

Clearance.Value

0 (millimeters part), 0 (inches part)

OffsetNegativeX.Value

0 (millimeters part), 0 (inches part)

OffsetNegativeY.Value

0 (millimeters part), 0 (inches part)

OffsetNegativeZ.Value

0 (millimeters part), 0 (inches part)

OffsetPositiveX.Value

0 (millimeters part), 0 (inches part)

OffsetPositiveY.Value

0 (millimeters part), 0 (inches part)

OffsetPositiveZ.Value

0 (millimeters part), 0 (inches part)

RadialOffset.Value

0 (millimeters part), 0 (inches part)

ReferenceCsysType

Wcs

SingleOffset

1

XValue.Value

10 (millimeters part), 0.5 (inches part)

YValue.Value

10 (millimeters part), 0.5 (inches part)

ZValue.Value

10 (millimeters part), 0.5 (inches part)


Created in NX10.0.0.

Member Enumeration Documentation

the type of reference csys for box feature

Enumerator
RefCsysTypeWcs 

reference WCS

RefCsysTypeAbsoluteinDisplayedPart 

reference ABS in displayed part

RefCsysTypeSelectedCsys 

reference the selected csys

the type for box feature

Enumerator
TypesCenterAndLengths 

block with center point and lengths

TypesBoundedBlock 

bounded block

TypesBoundedCylinder 

bounded cylinder

Member Function Documentation

NXOpen::Point* NXOpen::Features::ToolingBoxBuilder::AxisPoint ( )

Returns the point on the axis of the bounded cylinder
Created in NX12.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ToolingBoxBuilder::AxisVector ( )

Returns the cylinder axis vector to create the bounded cylinder
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::ToolingBoxBuilder::BoundedObject ( )

Returns the objects used for bounded box creation.


Created in NX10.0.0.

License requirements : None

NXOpen::NXColor* NXOpen::Features::ToolingBoxBuilder::BoxColor ( )

Returns the box color.


Created in NX10.0.0.

License requirements : None

NXOpen::Point3d NXOpen::Features::ToolingBoxBuilder::BoxPosition ( )

Returns the position of csys for box.


Created in NX10.0.0.

License requirements : None

void NXOpen::Features::ToolingBoxBuilder::CalculateBoxSize ( )

Calculate box size and set directions, edge length, lower point position.


Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::Clearance ( )

Returns the clearance value for box in six directions.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Features::ToolingBoxBuilder::CsysAssociative ( )

Returns the csys associative
Created in NX10.0.0.



License requirements : None

NXOpen::SelectCoordinateSystem* NXOpen::Features::ToolingBoxBuilder::CsysSelection ( )

Returns the selected reference csys
Created in NX10.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::ToolingBoxBuilder::FacetBodies ( )

Returns the selected facet bodies.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Features::ToolingBoxBuilder::NonAlignedMinimumBox ( )

Returns the value that indicates whether to create non-aligned minimum bounding body or not.


Created in NX12.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::OffsetNegativeX ( )

Returns the offset value for box in -X direction.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::OffsetNegativeY ( )

Returns the offset value for box in -Y direction.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::OffsetNegativeZ ( )

Returns the offset value for box in -Z direction.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::OffsetPositiveX ( )

Returns the offset value for box in +X direction.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::OffsetPositiveY ( )

Returns the offset value for box in +Y direction.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::OffsetPositiveZ ( )

Returns the offset value for box in +Z direction.


Created in NX10.0.0.

License requirements : None

double NXOpen::Features::ToolingBoxBuilder::PositionPrecisionValue ( )

Returns the precision value for the center point of bounded box
Created in NX10.0.0.



License requirements : None

double NXOpen::Features::ToolingBoxBuilder::PrecisionValue ( )

Returns the precision value for the size of bounded box
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::RadialOffset ( )

Returns the radial offset value for cylinder box
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ToolingBoxBuilder::RefCsysType NXOpen::Features::ToolingBoxBuilder::ReferenceCsysType ( )

Returns the reference csys type
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::ToolingBoxBuilder::SetAxisPoint ( NXOpen::Point axisPoint)

Sets the point on the axis of the bounded cylinder
Created in NX12.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
axisPointaxispoint
void NXOpen::Features::ToolingBoxBuilder::SetAxisVector ( NXOpen::Direction cylinderVector)

Sets the cylinder axis vector to create the bounded cylinder
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
cylinderVectorcylindervector
void NXOpen::Features::ToolingBoxBuilder::SetBoxColor ( NXOpen::NXColor colorValue)

Sets the box color.


Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
colorValuecolorvalue
void NXOpen::Features::ToolingBoxBuilder::SetBoxMatrixAndPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Sets box csys matrix.


Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
matrixmatrix
positionposition
void NXOpen::Features::ToolingBoxBuilder::SetBoxPosition ( const NXOpen::Point3d csysOrigin)

Sets the position of csys for box.


Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
csysOrigincsysorigin
void NXOpen::Features::ToolingBoxBuilder::SetCsysAssociative ( bool  csysAssociative)

Sets the csys associative
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
csysAssociativecsysassociative
void NXOpen::Features::ToolingBoxBuilder::SetNonAlignedMinimumBox ( bool  isNonAlignedBox)

Sets the value that indicates whether to create non-aligned minimum bounding body or not.


Created in NX12.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
isNonAlignedBoxisnonalignedbox
void NXOpen::Features::ToolingBoxBuilder::SetPositionPrecisionValue ( double  precisionValue)

Sets the precision value for the center point of bounded box
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
precisionValueprecisionvalue
void NXOpen::Features::ToolingBoxBuilder::SetPrecisionValue ( double  precisionValue)

Sets the precision value for the size of bounded box
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
precisionValueprecisionvalue
void NXOpen::Features::ToolingBoxBuilder::SetReferenceCsysType ( NXOpen::Features::ToolingBoxBuilder::RefCsysType  referenceType)

Sets the reference csys type
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
referenceTypereferencetype
void NXOpen::Features::ToolingBoxBuilder::SetSelectedOccurrences ( const std::vector< NXOpen::NXObject * > &  selections,
const std::vector< NXOpen::NXObject * > &  deselections 
)

Sets selected object occurrences.


Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
selectionsLast selected objects.
deselectionsLast deselected objects.
void NXOpen::Features::ToolingBoxBuilder::SetShowDimension ( bool  csysAssociative)

Sets the value indicate whether to show bounded box dimension or not during preview.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
csysAssociativecsysassociative
void NXOpen::Features::ToolingBoxBuilder::SetSingleOffset ( bool  csysAssociative)

Sets the option to control whether the handles operate individually or not.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
csysAssociativecsysassociative
void NXOpen::Features::ToolingBoxBuilder::SetType ( NXOpen::Features::ToolingBoxBuilder::Types  type)

Sets the box type.


Created in NX10.0.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR studio_free_form ("STUDIO FREE FORM") OR features_modeling ("FEATURES MODELING") OR solid_modeling ("SOLIDS MODELING")

Parameters
typetype
bool NXOpen::Features::ToolingBoxBuilder::ShowDimension ( )

Returns the value indicate whether to show bounded box dimension or not during preview.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Features::ToolingBoxBuilder::SingleOffset ( )

Returns the option to control whether the handles operate individually or not.


Created in NX11.0.0.

License requirements : None

NXOpen::Features::ToolingBoxBuilder::Types NXOpen::Features::ToolingBoxBuilder::Type ( )

Returns the box type.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::XValue ( )

Returns the edge length in X direction for general box.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::YValue ( )

Returns the edge length in Y direction for general box.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ToolingBoxBuilder::ZValue ( )

Returns the edge length in Z direction for general box.


Created in NX10.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.